%define upstream_name    Dist-Zilla-Plugin-ModuleInstall
%define upstream_version 1.001002

%global __requires_exclude perl\\(inc::Module::Install\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Build Module::Install based Distributions with Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Runner)
BuildRequires: perl(Dist::Zilla::Role::BuildRunner)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::Tempdir) >= 1.1.0
BuildRequires: perl(Dist::Zilla::Role::TestRunner)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Install) >= 0.900.0
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module will create a _Makefile.PL_ for installing the dist using the
Module::Install manpage.

It is at present a very minimal feature set, but it works.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.2-6.mga10
+ Revision: 2203636
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1.2-5.mga9
+ Revision: 1808955
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.2-4.mga8
+ Revision: 1504087
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.2-3.mga7
+ Revision: 1283141
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.1.2-2.mga7
+ Revision: 1164255
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 1.1.2-1.mga7
+ Revision: 1157643
- update to 1.001002

* Sun May 08 2016 shlomif <shlomif> 1.1.1-1.mga6
+ Revision: 1010620
- update to 1.001001

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-4.mga6
+ Revision: 948357
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 744937
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Sep 06 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 672799
- update to 1.001000

* Sat Aug 16 2014 sander85 <sander85> 1.0.3-1.mga5
+ Revision: 664197
- update to 1.000003

* Thu Aug 07 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 660477
- update to 1.000002

* Wed Jul 30 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 658198
- update to 1.000001

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0.0-2.mga4
+ Revision: 526973
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.20.0.0-1.mga4
+ Revision: 439134
- update to 0.02000000

* Sun Jan 13 2013 umeabot <umeabot> 0.10.540.210-2.mga3
+ Revision: 366287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.10.540.210-1.mga2
+ Revision: 212792
- update to 0.01054021

* Tue Apr 05 2011 jquelin <jquelin> 0.10.540.200-1.mga1
+ Revision: 80643
- update to 0.01054020

* Wed Jan 26 2011 jquelin <jquelin> 0.10.292.160-3.mga1
+ Revision: 41073
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ModuleInstall

